#ifndef DS1307_H
#define	DS1307_H
//------------------------------------------------------------------------------
#include <stdio.h>
#include "I2C.h"
#include "Time_functions.h"
//------------------------------------------------------------------------------
#define WR 0xD0
#define RD 0xD1
//----------------secs,mins,hrs,wDay,mDay,months,years-------------------------
void rtc_getDateTime( unsigned char time[] )
{
  for(int addr=0; addr < 7 ; ++addr)
  {
    I2C_start();

    while( I2C_busy() == 1 );          
    I2C_write(WR);                    
    I2C_write(addr);
    I2C_restart();
    I2C_write(RD);                     
    time[addr] = get_DecTime(I2C_read(NACK));

    I2C_stop();
  }
}
//------------------------------------------------------------------------------
void rtc_setDateTime( unsigned char reg , unsigned char data )
{
  I2C_start();

  while( I2C_busy() == 1 );
  I2C_write( WR );
  I2C_write( reg );
  I2C_write( data );

  I2C_stop();
}
//------------------------------------------------------------------------------
#endif