/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on October 12, 2019, 9:42 PM
 */

#include <xc.h>
#include <stdio.h>
#include <stdlib.h>
//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include "Lcd4.h"
#include "ds1307.h"
//------------------------------------------------------------------------------
unsigned char time[7];
char strOut[15];
char strOut2[15];
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  I2C_init(10000);   //100 Kbs per second
  LCD_init();
  
  while(1)
  {
    rtc_getDateTime(time);
    
    sprintf(strOut,"Time: %s",get_fullTimeStr(time));
    LCD_string(0,0,strOut);
    
    sprintf(strOut2,"Date: %s",get_fullDateStr(time));
    LCD_string(1,0,strOut2);
    
    __delay_ms(1000);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------